Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.etsi.uri._01903.v1_3
Class CompleteRevocationRefsType

    java.lang.Object
      org.etsi.uri._01903.v1_3.CompleteRevocationRefsType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T04:56:11+01:00",
               comments="JAXB RI v2.2.11")
    public class CompleteRevocationRefsType

extends Object
implements Serializable

Java class for CompleteRevocationRefsType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CompleteRevocationRefsType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CRLRefs" type="{http://uri.etsi.org/01903/v1.3.2#}CRLRefsType" minOccurs="0"/>
             <element name="OCSPRefs" type="{http://uri.etsi.org/01903/v1.3.2#}OCSPRefsType" minOccurs="0"/>
             <element name="OtherRefs" type="{http://uri.etsi.org/01903/v1.3.2#}OtherCertStatusRefsType" minOccurs="0"/>
           </sequence>
           <attribute name="Id" type="{http://www.w3.org/2001/XMLSchema}ID" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`CompleteRevocationRefsType()`

Method Summary
`CRLRefsType` | `getCRLRefs()` Gets the value of the crlRefs property.
`String` | `getId()` Gets the value of the id property.
`OCSPRefsType` | `getOCSPRefs()` Gets the value of the ocspRefs property.
`OtherCertStatusRefsType` | `getOtherRefs()` Gets the value of the otherRefs property.
`void` | `setCRLRefs(CRLRefsType value)` Sets the value of the crlRefs property.
`void` | `setId(String value)` Sets the value of the id property.
`void` | `setOCSPRefs(OCSPRefsType value)` Sets the value of the ocspRefs property.
`void` | `setOtherRefs(OtherCertStatusRefsType value)` Sets the value of the otherRefs property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompleteRevocationRefsType

    public CompleteRevocationRefsType()

Method Detail

### getCRLRefs

    public CRLRefsType getCRLRefs()

  Gets the value of the crlRefs property.

  Returns:
    possible object is `CRLRefsType`

### setCRLRefs

    public void setCRLRefs(CRLRefsType value)

  Sets the value of the crlRefs property.

  Parameters:
    `value` - allowed object is `CRLRefsType`

### getOCSPRefs

    public OCSPRefsType getOCSPRefs()

  Gets the value of the ocspRefs property.

  Returns:
    possible object is `OCSPRefsType`

### setOCSPRefs

    public void setOCSPRefs(OCSPRefsType value)

  Sets the value of the ocspRefs property.

  Parameters:
    `value` - allowed object is `OCSPRefsType`

### getOtherRefs

    public OtherCertStatusRefsType getOtherRefs()

  Gets the value of the otherRefs property.

  Returns:
    possible object is `OtherCertStatusRefsType`

### setOtherRefs

    public void setOtherRefs(OtherCertStatusRefsType value)

  Sets the value of the otherRefs property.

  Parameters:
    `value` - allowed object is `OtherCertStatusRefsType`

### getId

    public String getId()

  Gets the value of the id property.

  Returns:
    possible object is `String`

### setId

    public void setId(String value)

  Sets the value of the id property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TECHNICAL 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.